LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Linux - Software (http://www.linuxquestions.org/questions/linux-software-2/)
-   -   PyGreSQL: Can't Build - Spits weird output when compiling pgmodule.c (http://www.linuxquestions.org/questions/linux-software-2/pygresql-cant-build-spits-weird-output-when-compiling-pgmodule-c-646075/)

RageD 05-31-2008 12:28 PM

PyGreSQL: Can't Build - Spits weird output when compiling pgmodule.c
 
Alright, I want to move all my questions to this one condensed thread.

This is my main problem. Installing PyGreSQL which I need for IBSng. This may make other issues go away but here's what's happening.

This is latest PyGreSQL here is what's happening:

Code:

__‚
pgmodule.c:3274: error: parameter ‚setdefpasswd__doc__‚ is initialized
pgmodule.c:3277: error: expected ‚=‚, ‚,‚, ‚;‚, ‚asm‚ or ‚__attribute__‚ before ‚*‚ token
pgmodule.c:3307: error: storage class specified for parameter ‚getdefport__doc__‚
pgmodule.c:3307: error: parameter ‚getdefport__doc__‚ is initialized
pgmodule.c:3310: error: expected ‚=‚, ‚,‚, ‚;‚, ‚asm‚ or ‚__attribute__‚ before ‚*‚ token
pgmodule.c:3326: error: storage class specified for parameter ‚setdefport__doc__‚
pgmodule.c:3326: error: parameter ‚setdefport__doc__‚ is initialized
pgmodule.c:3329: error: expected ‚=‚, ‚,‚, ‚;‚, ‚asm‚ or ‚__attribute__‚ before ‚*‚ token
pgmodule.c:3360: error: storage class specified for parameter ‚pg_methods‚
pgmodule.c:3360: error: array type has incomplete element type
pgmodule.c:3360: error: parameter ‚pg_methods‚ is initialized
pgmodule.c:3361: error: expected ‚}‚ before ‚pgconnect‚
pgmodule.c:3363: error: expected ‚}‚ before ‚escape_string‚
pgmodule.c:3365: error: expected ‚}‚ before ‚escape_bytea‚
pgmodule.c:3367: error: expected ‚}‚ before ‚unescape_bytea‚
pgmodule.c:3371: error: ‚pggetdefhost‚ undeclared (first use in this function)
pgmodule.c:3371: error: ‚METH_VARARGS‚ undeclared (first use in this function)
pgmodule.c:3372: error: ‚pgsetdefhost‚ undeclared (first use in this function)
pgmodule.c:3373: error: ‚pggetdefbase‚ undeclared (first use in this function)
pgmodule.c:3374: error: ‚pgsetdefbase‚ undeclared (first use in this function)
pgmodule.c:3375: error: ‚pggetdefopt‚ undeclared (first use in this function)
pgmodule.c:3376: error: ‚pgsetdefopt‚ undeclared (first use in this function)
pgmodule.c:3377: error: ‚pggetdeftty‚ undeclared (first use in this function)
pgmodule.c:3378: error: ‚pgsetdeftty‚ undeclared (first use in this function)
pgmodule.c:3379: error: ‚pggetdefport‚ undeclared (first use in this function)
pgmodule.c:3380: error: ‚pgsetdefport‚ undeclared (first use in this function)
pgmodule.c:3381: error: ‚pggetdefuser‚ undeclared (first use in this function)
pgmodule.c:3382: error: ‚pgsetdefuser‚ undeclared (first use in this function)
pgmodule.c:3383: error: ‚pgsetdefpasswd‚ undeclared (first use in this function)
pgmodule.c:3388: error: storage class specified for parameter ‚pg__doc__‚
pgmodule.c:3388: error: parameter ‚pg__doc__‚ is initialized
pgmodule.c:3391: error: expected declaration specifiers before ‚DL_EXPORT‚
pgmodule.c:3494: error: old-style parameter declarations in prototyped function definition
pgmodule.c:3494: error: expected ‚{‚ at end of input
error: command 'gcc' failed with exit status 1

This is all done SSH and I can't get enough lines of scrollback to get it all (good thing too, it was just clutter things up even more) But it keeps spitting that output out.

The python include directory is /usr/include/python2.4. Before it was missing Python.h so I copied all the Python-2.4.5 files into that directory.
So the all the Python files are found. Any ideas on what's going on guys?

-RageD

EDIT: SOLUTION! - After a few hours I finally found it. Just run:
Code:

yum install postgre-python


All times are GMT -5. The time now is 11:01 AM.